 /* input:invalid, select:invalid {
    border-color: red; Change border color to red
} */

.warrantyImgPreview{
    max-height:300px;
}

.langs-center {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.langs-center .langFlag {
    filter: grayscale(0.3);
}

.langs-center .langFlag:hover {
    cursor: pointer;
    transition: 0.2s ease;
    filter: grayscale(0);
    transform: scale(1.1);
}

.pilot_bubble {
    box-sizing: content-box;
    background: white;
    color: #ffb733;
    border: 2px solid #ffb733;
    text-align: center;
    border-radius: 100%;
    font-weight: bold;
    z-index: 999;
    width: 15px;
    height: 15px;
    line-height: 15px;
    min-width: 15px;
    position: relative;
}

.pilot_steps_wrapper {
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
}

.pilot_step {
    box-sizing: content-box;
    background: white;
    color: #ffe1aa;
    border: 5px solid #ffe1aa;
    font-size: 2em;
    text-align: center;
    border-radius: 100%;
    font-weight: bold;
    z-index: 999;
    width: 50px;
    height: 50px;
    line-height: 50px;
    min-width: 50px;
    position: relative;
}

.pilot_step_wrapper {
    z-index: 9999;
    display: flex;
    flex-direction: column;
    text-align: center;
}

.pilot_step .text {
    color: #000;
    position: absolute;
    text-align: center;
    font-size: small;
    text-wrap: nowrap;
    left: 50%;
    transform: translateX(-50%);
}

.pilot_step_spacer {
    width: 100%;
    height: 10px;
    border-radius: 40px;

    background-color: #ffe1aa;
    z-index: 1;
}

.pilot_step_spacer:not(:first-of-type):not(:last-of-type) {
    margin: 0 -5px;
}

.pilot_step_spacer:first-of-type {
    margin-right: -5px;
}

.pilot_step_spacer:last-of-type {
    margin-left: -5px;
}

.pilot_step_spacer.active {
    background: #ffb733;
}

.pilot_step_spacer.done {
    background: #198754;
}

.pilot_step.pilot_step_done {
    background: #ffb733;
    border-color: #ffb733;
    color: white;
}

.pilot_step.pilot_step_current {
    background: white;
    border-color: #ffb733;
    color: #ffb733;
}

.unsetAll {
    all: unset;
}

.rotating i {
    animation: rotating 1s linear;
    animation-iteration-count: infinite;
}

@keyframes rotating {
    from {
        transform: rotate(0);
    }

    to {
        transform: rotate(360deg);
    }
}

.btn-payme {
    background-color: #05f !important;
    color: white;
}

.btn-payme:hover {
    background-color: #000 !important;
    transition: 0.2s ease;
}

.selecttitle.pointable .infopart::after {
    content: "";
    display: inline-block;
    margin-left: 5px;
    margin-bottom: 2px;
    transition: 0.2s ease;
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid #ffa500;
}

.selecttitle.pointable.active .infopart::after {
    content: "";
    display: inline-block;
    margin-left: 5px;
    margin-bottom: 2px;
    transform: rotate(-180deg);
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid #ffa500;
}

.selecttitle.pointable:hover {
    cursor: pointer;
    color: #ffa500;
    transition: 0.2s ease;
}

.nextstep.disabled:hover {
    cursor: not-allowed;
}

.info-popup-backdrop {
    opacity: 0;
    background: #222233cc;
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 99999999999999;
    transition: 0.2s ease;
}

.info-popup-backdrop.visible {
    opacity: 1;
}

.info-popup {
    width: 70vw;
    overflow-y: auto;
    max-height: 100%;
    background: #fff;
    border-radius: 5px;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25),
        0px 0px 250px rgba(0, 0, 0, 0.25);
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    left: 50%;
    padding: 30px;
    z-index: 999999999999;
}

.info-popup-img {
    border-radius: 5px;
    margin-bottom: 15px;
    height: auto;
    width: 100%;
    max-height: 80vh;
    object-fit: contain;
}

.info-popup-title {
    font-weight: bold;
    /* font-size: 1.2em; */
    margin-bottom: 15px;
}

.info-popup-close {
    color: #0875e2;
    margin-top: 15px;
}

.info-popup-close:hover {
    cursor: pointer;
}

.popButton {
    position: absolute;
    top: 0px;
    right: 0px;
    margin: 5px;
    padding: 5px;
    transition: 0.1s ease;
}

.popButton:hover {
    color: #ffa500;
    cursor: pointer;
}

.codeopt {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    width: 280px;
    height: 350px;
    filter: grayscale(0.8);
    transition: 0.2s ease;
}

.codeopt-img {
    width: 100%;
    height: 200px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.codeopt.active {
    filter: grayscale(0);
    box-shadow: inset 0px 0px 4px 5px #eb9b06;
    color: #eb9b06 !important;
}

.codeopt.disabled {
    filter: grayscale(1);
    box-shadow: inset 0px 0px 30px 30px #ff0000;
    display: none;
}

.codeopt.disabled:hover {
    filter: grayscale(1);
    box-shadow: inset 0px 0px 30px 30px #ff0000;
}

.codeopt:not(.disabled):not(.active):hover {
    /* cursor: pointer; */
    filter: grayscale(0);
    box-shadow: inset 0px 0px 4px 2px #eb9b06;
}

#dbg-group.dbgwin {
    display: none;
    position: fixed;
    bottom: 0px;
    right: 0px;
    width: 33vw;
    background: black;
    border-radius: 5px;
    margin: 10px;
    opacity: 90%;
    z-index: 999999999;
}

.fakeload {
    height: 10px;
    width: 100%;
    border-radius: 5px;
    /* background-color: #ffa500; */
    background: linear-gradient(90deg,
            #ffa500 0%,
            #ffa500 50%,
            #252525 50.01%,
            #252525 100%);
    background-size: 200% 200%;
    background-position: 10% 0%;
    margin-bottom: 10px;
    transition: 0.25s ease;
    animation: fakeloading 2s ease;
}

.fakeload.finnished {
    height: 10px;
    width: 100%;
    border-radius: 5px;
    /* background-color: #ffa500; */
    background: linear-gradient(90deg,
            #ffa500 0%,
            #ffa500 50%,
            #252525 50.01%,
            #252525 100%);
    background-size: 200% 200%;
    background-position: 0% 0%;
    transition: 0.25s ease;
    animation: none;
}

@keyframes fakeloading {
    0% {
        background-position: 100% 0%;
    }

    100% {
        background-position: 10% 0%;
    }
}

/* .fakeload::after {
    height: 10px;
    width: 100%;
    border-radius: 5px;
    background-color: #ffa500;
} */

/*
ul.checkbox li label {
 margin-left: ;
}
ul.checkbox li:hover,
ul.checkbox li.focus  {
 background-color: lightyellow;
 border: 1px gray solid;
 width: 12em;
}*/

/* .demo:hover,.demo *:hover{
    cursor:not-allowed;
    background:#ffdddd;
} */
.logofont {
    font-family: "Exo 2", sans-serif;
}

html[data-bs-theme="dark"] .dataTables_wrapper label {
    color: white !important;
}

html[data-bs-theme="dark"] .dataTables_wrapper .dataTables_info {
    color: white !important;
}

html[data-bs-theme="dark"] .dataTables_wrapper .dataTables_paginate .paginate_button {
    color: white !important;
}

html[data-bs-theme="dark"] .dataTables_wrapper .dataTables_paginate .paginate_button.current {
    color: white !important;
    border: none;
    box-shadow: none;
}

body {
    background-color: #ebebeb;
}

html[data-bs-theme="dark"] body {
    background-color: #2e2e2e !important;
}

#theme-toggle {
    position: fixed;
    bottom: 20px;
    right: 20px;
}

#debug-toggle {
    z-index: 9999;
    position: fixed;
    bottom: 20px;
    left: 20px;
    width: 30px;
    height: 30px;
    /* font-size: 16px; */
    padding: 0;
    line-height: 30px;
}

/* BS OVERIDE */
/* :root {
    --grey: #ebebeb;
    --bs-primary: #ffa500 !important;
    --bs-primary-rgb: 255, 165, 0 !important;
    --bs-link-color: #ffa500 !important;
}



.link-primary {
    color: rgb(255, 165, 0) !important;
} */

/* .text-primary {
    color: rgb(255, 165, 0) !important;
}

.border-primary {
    border-color: rgb(255, 165, 0) !important;
}

.bg-primary {
    background-color: rgb(255, 165, 0) !important;
} */

/*
a:not(.btn) {
    color: rgb(255, 165, 0) !important;
} */
